Package org.opensaml.saml.ext.saml2delrestrict.impl

# Class DelegateImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.ext.saml2delrestrict.impl.DelegateImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Delegate`

public class DelegateImpl extends AbstractXMLObject implements Delegate
Implementation of `Delegate`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private BaseID`
`baseID`
BaseID child element.
`private String`
`confirmationMethod`
ConfirmationMethod attribute.
`private Instant`
`delegationInstant`
DelegationInstant attribute.
`private EncryptedID`
`encryptedID`
EncryptedID child element.
`private NameID`
`nameID`
NameID child element.

### Fields inherited from interface org.opensaml.saml.ext.saml2delrestrict.Delegate

`CONFIRMATION_METHOD_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, DELEGATION_INSTANT_ATTRIB_NAME, DELEGATION_INSTANT_ATTRIB_QNAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DelegateImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`BaseID`
`getBaseID()`
Gets the BaseID child element of the delegate.
`String`
`getConfirmationMethod()`
Get the confirmation method attribute value.
`Instant`
`getDelegationInstant()`
Get the delegation instant attribute value.
`EncryptedID`
`getEncryptedID()`
Gets the EncryptedID child element of the delegate.
`NameID`
`getNameID()`
Gets the NameID child element of the delegate.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setBaseID(BaseID newBaseID)`
Sets the BaseID child element of the delegate.
`void`
`setConfirmationMethod(String newMethod)`
Set the confirmation method attribute value.
`void`
`setDelegationInstant(Instant newInstant)`
Set the delegation instant attribute value.
`void`
`setEncryptedID(EncryptedID newEncryptedID)`
Sets the EncryptedID child element of the delegate.
`void`
`setNameID(NameID newNameID)`
Sets the NameID child element of the delegate.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### baseID

@Nullable private BaseID baseID
BaseID child element.

### nameID

@Nullable private NameID nameID
NameID child element.

### encryptedID

@Nullable private EncryptedID encryptedID
EncryptedID child element.

### delegationInstant

@Nullable private Instant delegationInstant
DelegationInstant attribute.

### confirmationMethod

@Nullable private String confirmationMethod
ConfirmationMethod attribute.

## Constructor Details

### DelegateImpl

protected DelegateImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getBaseID

@Nullable public BaseID getBaseID()
Gets the BaseID child element of the delegate.

Specified by:
  `getBaseID` in interface `Delegate`
Returns:
  the base identifier of the delegate

### getConfirmationMethod

@Nullable public String getConfirmationMethod()
Get the confirmation method attribute value.

Specified by:
  `getConfirmationMethod` in interface `Delegate`
Returns:
  the confirmation method

### getDelegationInstant

@Nullable public Instant getDelegationInstant()
Get the delegation instant attribute value.

Specified by:
  `getDelegationInstant` in interface `Delegate`
Returns:
  the delegation instant

### getEncryptedID

@Nullable public EncryptedID getEncryptedID()
Gets the EncryptedID child element of the delegate.

Specified by:
  `getEncryptedID` in interface `Delegate`
Returns:
  the encrypted name identifier of the delegate

### getNameID

@Nullable public NameID getNameID()
Gets the NameID child element of the delegate.

Specified by:
  `getNameID` in interface `Delegate`
Returns:
  the name identifier of the principal for this request

### setBaseID

public void setBaseID(@Nullable BaseID newBaseID)
Sets the BaseID child element of the delegate.

Specified by:
  `setBaseID` in interface `Delegate`
Parameters:
  `newBaseID` - the base identifier of the delegate

### setConfirmationMethod

public void setConfirmationMethod(@Nullable String newMethod)
Set the confirmation method attribute value.

Specified by:
  `setConfirmationMethod` in interface `Delegate`
Parameters:
  `newMethod` - the new confirmation method

### setDelegationInstant

public void setDelegationInstant(@Nullable Instant newInstant)
Set the delegation instant attribute value.

Specified by:
  `setDelegationInstant` in interface `Delegate`
Parameters:
  `newInstant` - the new delegation instant

### setEncryptedID

public void setEncryptedID(@Nullable EncryptedID newEncryptedID)
Sets the EncryptedID child element of the delegate.

Specified by:
  `setEncryptedID` in interface `Delegate`
Parameters:
  `newEncryptedID` - the new encrypted name identifier of the delegate

### setNameID

public void setNameID(@Nullable NameID newNameID)
Sets the NameID child element of the delegate.

Specified by:
  `setNameID` in interface `Delegate`
Parameters:
  `newNameID` - the name identifier of the delegate

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements